diff --git a/pki/base/util/src/com/netscape/cmsutil/radius/NASPortAttribute.java b/pki/base/util/src/com/netscape/cmsutil/radius/NASPortAttribute.java
index ebf1aa2182bcc405236da4e962e17ac86534dc3f..5e28ffbdd5166a45d9ac7f69ab48241f2d152c4f 100644
--- a/pki/base/util/src/com/netscape/cmsutil/radius/NASPortAttribute.java
+++ b/pki/base/util/src/com/netscape/cmsutil/radius/NASPortAttribute.java
@@ -18,11 +18,7 @@
 package com.netscape.cmsutil.radius;
 
 
-import java.util.*;
-import java.math.*;
-import java.security.*;
-import java.net.*;
-import java.io.*;
+import java.io.IOException;
 
 
 public class NASPortAttribute extends Attribute {
@@ -30,7 +26,7 @@ public class NASPortAttribute extends Attribute {
 
     public NASPortAttribute(byte value[]) {
         super();
-        _t = NAS_PORT;
+        _t = Attribute.NAS_PORT;
         _port = value[5] & 0xFF;
         _port |= ((value[4] << 8) & 0xFF00);
         _port |= ((value[3] << 16) & 0xFF0000);
@@ -38,7 +34,7 @@ public class NASPortAttribute extends Attribute {
     }
 
     public NASPortAttribute(int port) {
-        super(NAS_PORT);
+        super(Attribute.NAS_PORT);
         _port = port;
     }
 
diff --git a/pki/base/util/src/com/netscape/cmsutil/radius/NASPortTypeAttribute.java b/pki/base/util/src/com/netscape/cmsutil/radius/NASPortTypeAttribute.java
index a6e40ae4b856d8e49cdbf2ed5212df53d770ec07..fda8b53eee03cacf6eab0029866a8b3d8f847a63 100644
--- a/pki/base/util/src/com/netscape/cmsutil/radius/NASPortTypeAttribute.java
+++ b/pki/base/util/src/com/netscape/cmsutil/radius/NASPortTypeAttribute.java
@@ -18,11 +18,7 @@
 package com.netscape.cmsutil.radius;
 
 
-import java.util.*;
-import java.math.*;
-import java.security.*;
-import java.net.*;
-import java.io.*;
+import java.io.IOException;
 
 
 public class NASPortTypeAttribute extends Attribute {
@@ -49,7 +45,7 @@ public class NASPortTypeAttribute extends Attribute {
 
     public NASPortTypeAttribute(byte value[]) {
         super();
-        _t = NAS_PORT_TYPE;
+        _t = Attribute.NAS_PORT_TYPE;
         _value = value;
     }
 
diff --git a/pki/base/util/src/com/netscape/cmsutil/radius/Packet.java b/pki/base/util/src/com/netscape/cmsutil/radius/Packet.java
index cd0e5a881e3f061244fde4c2a5a0a150192ad3bc..4af445639b905944f40c630c979883e518f455dd 100644
--- a/pki/base/util/src/com/netscape/cmsutil/radius/Packet.java
+++ b/pki/base/util/src/com/netscape/cmsutil/radius/Packet.java
@@ -18,11 +18,6 @@
 package com.netscape.cmsutil.radius;
 
 
-import java.util.*;
-import java.math.*;
-import java.security.*;
-import java.net.*;
-import java.io.*;
 
 
 public abstract class Packet {
diff --git a/pki/base/util/src/com/netscape/cmsutil/radius/PacketFactory.java b/pki/base/util/src/com/netscape/cmsutil/radius/PacketFactory.java
index 9bd5d19218832549dcdaff1fe5f444d92902e40f..c9dd1620a27f631878cb224d2af153159c5fa2b5 100644
--- a/pki/base/util/src/com/netscape/cmsutil/radius/PacketFactory.java
+++ b/pki/base/util/src/com/netscape/cmsutil/radius/PacketFactory.java
@@ -18,11 +18,7 @@
 package com.netscape.cmsutil.radius;
 
 
-import java.util.*;
-import java.math.*;
-import java.security.*;
-import java.net.*;
-import java.io.*;
+import java.io.IOException;
 
 
 public class PacketFactory {
diff --git a/pki/base/util/src/com/netscape/cmsutil/radius/PortLimitAttribute.java b/pki/base/util/src/com/netscape/cmsutil/radius/PortLimitAttribute.java
index 41d185e88a86ec7b09d7bf357195361f5b1fbd56..df70a77dd907cec74db774503eff7bb634afdbde 100644
--- a/pki/base/util/src/com/netscape/cmsutil/radius/PortLimitAttribute.java
+++ b/pki/base/util/src/com/netscape/cmsutil/radius/PortLimitAttribute.java
@@ -18,22 +18,15 @@
 package com.netscape.cmsutil.radius;
 
 
-import java.util.*;
-import java.math.*;
-import java.security.*;
-import java.net.*;
-import java.io.*;
+import java.io.IOException;
 
 
 public class PortLimitAttribute extends Attribute {
     private int _port = 0;
 
-    private byte _value[] = null;
-
     public PortLimitAttribute(byte value[]) {
         super();
-        _t = FRAMED_IP_ADDRESS;
-        _value = value;
+        _t = Attribute.FRAMED_IP_ADDRESS;
         _port = value[5] & 0xFF;
         _port |= ((value[4] << 8) & 0xFF00);
         _port |= ((value[3] << 16) & 0xFF0000);
diff --git a/pki/base/util/src/com/netscape/cmsutil/radius/ProxyStateAttribute.java b/pki/base/util/src/com/netscape/cmsutil/radius/ProxyStateAttribute.java
index 91210b354aa38f92dd2ecf2825fa88d9985c9469..f0f3f35cc1a9dd7a918b892508217731fc705b73 100644
--- a/pki/base/util/src/com/netscape/cmsutil/radius/ProxyStateAttribute.java
+++ b/pki/base/util/src/com/netscape/cmsutil/radius/ProxyStateAttribute.java
@@ -18,22 +18,16 @@
 package com.netscape.cmsutil.radius;
 
 
-import java.util.*;
-import java.math.*;
-import java.security.*;
-import java.net.*;
-import java.io.*;
+import java.io.IOException;
 
 
 public class ProxyStateAttribute extends Attribute {
-    private byte _value[] = null;
     private String _str = null;
 
     public ProxyStateAttribute(byte value[]) {
         super();
-        _t = PROXY_STATE;
+        _t = Attribute.PROXY_STATE;
         _str = new String(value, 2, value.length - 2);
-        _value = value;
     }
 
     public String getString() {
diff --git a/pki/base/util/src/com/netscape/cmsutil/radius/RadiusConn.java b/pki/base/util/src/com/netscape/cmsutil/radius/RadiusConn.java
index 5d16cd8a23c629d6b6762fb02d10c4b833529475..58c3ef838c44a9c538100629ae81b6f4a967cb04 100644
--- a/pki/base/util/src/com/netscape/cmsutil/radius/RadiusConn.java
+++ b/pki/base/util/src/com/netscape/cmsutil/radius/RadiusConn.java
@@ -18,11 +18,15 @@
 package com.netscape.cmsutil.radius;
 
 
-import java.util.*;
-import java.math.*;
-import java.security.*;
-import java.net.*;
-import java.io.*;
+import java.io.IOException;
+import java.io.InterruptedIOException;
+import java.net.DatagramPacket;
+import java.net.DatagramSocket;
+import java.net.InetAddress;
+import java.net.SocketException;
+import java.security.NoSuchAlgorithmException;
+import java.security.SecureRandom;
+import java.util.Properties;
 
 
 /**
@@ -37,7 +41,6 @@ public class RadiusConn {
 
     public static String OPTION_DEBUG = "OPTION_DEBUG";
 
-    private Properties _options = null;
     private boolean _traceOn = true;
     private String _host[] = new String[2];
     private int _port[] = new int[2];
@@ -45,7 +48,7 @@ public class RadiusConn {
     private String _secret = null;
     private DatagramSocket _socket = null;
     private short _id = (short) System.currentTimeMillis();
-    private int _maxRetries = MAX_RETRIES;
+    private int _maxRetries = RadiusConn.MAX_RETRIES;
     private SecureRandom _rand = null;
 
     public RadiusConn(String host1, String host2, int port, String secret, 
@@ -56,7 +59,7 @@ public class RadiusConn {
     public RadiusConn(String host, int port, String secret, byte seed[],
         Properties options) 
         throws SocketException {
-        this(host, port, host, port, secret, DEFAULT_TIMEOUT, seed, options);
+        this(host, port, host, port, secret, RadiusConn.DEFAULT_TIMEOUT, seed, options);
     }
 
     public RadiusConn(String host1, int port1, String host2, int port2, 
@@ -68,7 +71,6 @@ public class RadiusConn {
         _port[1] = port2;
         _selected = 0;
         _secret = secret;
-        _options = options;
         _socket = new DatagramSocket(); 
         _socket.setSoTimeout(timeout * 1000);
         if (seed == null) {
diff --git a/pki/base/util/src/com/netscape/cmsutil/radius/RejectException.java b/pki/base/util/src/com/netscape/cmsutil/radius/RejectException.java
index 1a76e76039667cc6284ce42e9968976c89fed565..16d38bccfa7e143d4161de0c403c3f410a3e6584 100644
--- a/pki/base/util/src/com/netscape/cmsutil/radius/RejectException.java
+++ b/pki/base/util/src/com/netscape/cmsutil/radius/RejectException.java
@@ -18,14 +18,10 @@
 package com.netscape.cmsutil.radius;
 
 
-import java.util.*;
-import java.math.*;
-import java.security.*;
-import java.net.*;
-import java.io.*;
 
 
 public class RejectException extends Exception {
+    private static final long serialVersionUID = -6410697638175895003L;
     private AccessReject _res = null;
 
     public RejectException(AccessReject res) {
diff --git a/pki/base/util/src/com/netscape/cmsutil/radius/ReplyMessageAttribute.java b/pki/base/util/src/com/netscape/cmsutil/radius/ReplyMessageAttribute.java
index dd1fc29d1b7edca9e64072a33bb63ec5be7c0584..014bfab33c3e90605434bf029a52896e8cbe3b16 100644
--- a/pki/base/util/src/com/netscape/cmsutil/radius/ReplyMessageAttribute.java
+++ b/pki/base/util/src/com/netscape/cmsutil/radius/ReplyMessageAttribute.java
@@ -18,22 +18,16 @@
 package com.netscape.cmsutil.radius;
 
 
-import java.util.*;
-import java.math.*;
-import java.security.*;
-import java.net.*;
-import java.io.*;
+import java.io.IOException;
 
 
 public class ReplyMessageAttribute extends Attribute {
-    private byte _value[] = null;
     private String _str = null;
 
     public ReplyMessageAttribute(byte value[]) {
         super();
-        _t = REPLY_MESSAGE;
+        _t = Attribute.REPLY_MESSAGE;
         _str = new String(value, 2, value.length - 2);
-        _value = value;
     }
 
     public String getString() {
diff --git a/pki/base/util/src/com/netscape/cmsutil/radius/RequestAuthenticator.java b/pki/base/util/src/com/netscape/cmsutil/radius/RequestAuthenticator.java
index eaba2077a66e7ddaa63b00651120647f0f1a1942..108b51451805a5045d3feba3da976befe601b046 100644
--- a/pki/base/util/src/com/netscape/cmsutil/radius/RequestAuthenticator.java
+++ b/pki/base/util/src/com/netscape/cmsutil/radius/RequestAuthenticator.java
@@ -18,11 +18,10 @@
 package com.netscape.cmsutil.radius;
 
 
-import java.util.*;
-import java.math.*;
-import java.security.*;
-import java.net.*;
-import java.io.*;
+import java.io.IOException;
+import java.security.MessageDigest;
+import java.security.NoSuchAlgorithmException;
+import java.security.SecureRandom;
 
 
 public class RequestAuthenticator extends Authenticator {
diff --git a/pki/base/util/src/com/netscape/cmsutil/radius/ResponseAuthenticator.java b/pki/base/util/src/com/netscape/cmsutil/radius/ResponseAuthenticator.java
index 509ddc35dc15feafdb3959e950cc8df448d0e69a..93fd46c3935ed1d0823d2b8df9439b472cd38287 100644
--- a/pki/base/util/src/com/netscape/cmsutil/radius/ResponseAuthenticator.java
+++ b/pki/base/util/src/com/netscape/cmsutil/radius/ResponseAuthenticator.java
@@ -18,11 +18,7 @@
 package com.netscape.cmsutil.radius;
 
 
-import java.util.*;
-import java.math.*;
-import java.security.*;
-import java.net.*;
-import java.io.*;
+import java.io.IOException;
 
 
 public class ResponseAuthenticator extends Authenticator {
diff --git a/pki/base/util/src/com/netscape/cmsutil/radius/ServerPacket.java b/pki/base/util/src/com/netscape/cmsutil/radius/ServerPacket.java
index c349fed9ab6bab50832ca936074be850996c0daf..abbe255fc0a837a7536669845040661bf738f2d5 100644
--- a/pki/base/util/src/com/netscape/cmsutil/radius/ServerPacket.java
+++ b/pki/base/util/src/com/netscape/cmsutil/radius/ServerPacket.java
@@ -18,11 +18,7 @@
 package com.netscape.cmsutil.radius;
 
 
-import java.util.*;
-import java.math.*;
-import java.security.*;
-import java.net.*;
-import java.io.*;
+import java.io.IOException;
 
 
 public abstract class ServerPacket extends Packet {
diff --git a/pki/base/util/src/com/netscape/cmsutil/radius/ServiceTypeAttribute.java b/pki/base/util/src/com/netscape/cmsutil/radius/ServiceTypeAttribute.java
index 7de8cfb01e0a1b8a5f67d9689afde95a4925bdb2..feaca06e865de1016a0acc9e0e7d09eaa365b9aa 100644
--- a/pki/base/util/src/com/netscape/cmsutil/radius/ServiceTypeAttribute.java
+++ b/pki/base/util/src/com/netscape/cmsutil/radius/ServiceTypeAttribute.java
@@ -18,11 +18,7 @@
 package com.netscape.cmsutil.radius;
 
 
-import java.util.*;
-import java.math.*;
-import java.security.*;
-import java.net.*;
-import java.io.*;
+import java.io.IOException;
 
 
 public class ServiceTypeAttribute extends Attribute {
@@ -38,17 +34,15 @@ public class ServiceTypeAttribute extends Attribute {
     public static final int CALL_CHECK = 10;
     public static final int CALLBACK_ADMINISTRATIVE = 11;
 
-    private byte _value[] = null;
     private int _type = 0;
 
     public ServiceTypeAttribute(byte value[]) {
         super();
-        _t = SERVICE_TYPE;
+        _t = Attribute.SERVICE_TYPE;
         _type = value[5] & 0xFF; 
         _type |= ((value[4] << 8) & 0xFF00); 
         _type |= ((value[3] << 16) & 0xFF0000); 
         _type |= ((value[2] << 24) & 0xFF000000);
-        _value = value;
     }
 
     public int getType() {
diff --git a/pki/base/util/src/com/netscape/cmsutil/radius/SessionTimeoutAttribute.java b/pki/base/util/src/com/netscape/cmsutil/radius/SessionTimeoutAttribute.java
index f83690d6f2054ce84173efed69174c48ed343b59..8accfb851359a7f86fabc53b431f457aacbffc14 100644
--- a/pki/base/util/src/com/netscape/cmsutil/radius/SessionTimeoutAttribute.java
+++ b/pki/base/util/src/com/netscape/cmsutil/radius/SessionTimeoutAttribute.java
@@ -18,11 +18,7 @@
 package com.netscape.cmsutil.radius;
 
 
-import java.util.*;
-import java.math.*;
-import java.security.*;
-import java.net.*;
-import java.io.*;
+import java.io.IOException;
 
 
 public class SessionTimeoutAttribute extends Attribute {
@@ -30,7 +26,7 @@ public class SessionTimeoutAttribute extends Attribute {
 
     public SessionTimeoutAttribute(byte value[]) {
         super();
-        _t = SESSION_TIMEOUT;
+        _t = Attribute.SESSION_TIMEOUT;
         _timeout = value[5] & 0xFF;
         _timeout |= ((value[4] << 8) & 0xFF00);
         _timeout |= ((value[3] << 16) & 0xFF0000);
@@ -38,7 +34,7 @@ public class SessionTimeoutAttribute extends Attribute {
     }
 
     public SessionTimeoutAttribute(int timeout) {
-        super(SESSION_TIMEOUT);
+        super(Attribute.SESSION_TIMEOUT);
         _timeout = timeout;
     }
 
diff --git a/pki/base/util/src/com/netscape/cmsutil/radius/StateAttribute.java b/pki/base/util/src/com/netscape/cmsutil/radius/StateAttribute.java
index c18e598806c5ce4ffb458992fbf55f68006f3586..55899acfb3e086cee8e608376547a73f16bd3108 100644
--- a/pki/base/util/src/com/netscape/cmsutil/radius/StateAttribute.java
+++ b/pki/base/util/src/com/netscape/cmsutil/radius/StateAttribute.java
@@ -18,27 +18,21 @@
 package com.netscape.cmsutil.radius;
 
 
-import java.util.*;
-import java.math.*;
-import java.security.*;
-import java.net.*;
-import java.io.*;
+import java.io.IOException;
 
 
 public class StateAttribute extends Attribute {
-    private byte _value[] = null;
     private String _str = null;
 
     public StateAttribute(String str) {
-        _t = STATE;
+        _t = Attribute.STATE;
         _str = str;
     }
 
     public StateAttribute(byte value[]) {
         super();
-        _t = STATE;
+        _t = Attribute.STATE;
         _str = new String(value, 2, value.length - 2);
-        _value = value;
     }
 
     public String getString() {
diff --git a/pki/base/util/src/com/netscape/cmsutil/radius/TerminationActionAttribute.java b/pki/base/util/src/com/netscape/cmsutil/radius/TerminationActionAttribute.java
index 1a554ea2d7c257c70bd152c16181f7cdfa2de949..1180ea76183382599f94059cfdfbf0f440625ed4 100644
--- a/pki/base/util/src/com/netscape/cmsutil/radius/TerminationActionAttribute.java
+++ b/pki/base/util/src/com/netscape/cmsutil/radius/TerminationActionAttribute.java
@@ -18,11 +18,7 @@
 package com.netscape.cmsutil.radius;
 
 
-import java.util.*;
-import java.math.*;
-import java.security.*;
-import java.net.*;
-import java.io.*;
+import java.io.IOException;
 
 
 public class TerminationActionAttribute extends Attribute {
@@ -33,7 +29,7 @@ public class TerminationActionAttribute extends Attribute {
 
     public TerminationActionAttribute(byte value[]) {
         super();
-        _t = TERMINATION_ACTION;
+        _t = Attribute.TERMINATION_ACTION;
         _action = value[5] & 0xFF;
         _action |= ((value[4] << 8) & 0xFF00);
         _action |= ((value[3] << 16) & 0xFF0000);
@@ -41,7 +37,7 @@ public class TerminationActionAttribute extends Attribute {
     }
 
     public TerminationActionAttribute(int action) {
-        super(TERMINATION_ACTION);
+        super(Attribute.TERMINATION_ACTION);
         _action = action;
     }
 
diff --git a/pki/base/util/src/com/netscape/cmsutil/radius/UserNameAttribute.java b/pki/base/util/src/com/netscape/cmsutil/radius/UserNameAttribute.java
index 4e725ac3f6a8b378ec14487d638a83089a95c742..c5eac856d2c17a40b0bd728c63e07b0c811b20e1 100644
--- a/pki/base/util/src/com/netscape/cmsutil/radius/UserNameAttribute.java
+++ b/pki/base/util/src/com/netscape/cmsutil/radius/UserNameAttribute.java
@@ -18,11 +18,7 @@
 package com.netscape.cmsutil.radius;
 
 
-import java.util.*;
-import java.math.*;
-import java.security.*;
-import java.net.*;
-import java.io.*;
+import java.io.IOException;
 
 
 public class UserNameAttribute extends Attribute {
@@ -30,12 +26,12 @@ public class UserNameAttribute extends Attribute {
 
     public UserNameAttribute(byte value[]) {
         super();
-        _t = USER_NAME;
+        _t = Attribute.USER_NAME;
         _name = new String(value, 2, value.length - 2);
     }
 
     public UserNameAttribute(String name) {
-        super(USER_NAME);
+        super(Attribute.USER_NAME);
         _name = name;
     }
 
diff --git a/pki/base/util/src/com/netscape/cmsutil/radius/UserPasswordAttribute.java b/pki/base/util/src/com/netscape/cmsutil/radius/UserPasswordAttribute.java
index 4550081aecbcae08ce721eb57a4e5a0cc5811011..e512cacbf6bcddf3a2ac22b00d64031369bca12d 100644
--- a/pki/base/util/src/com/netscape/cmsutil/radius/UserPasswordAttribute.java
+++ b/pki/base/util/src/com/netscape/cmsutil/radius/UserPasswordAttribute.java
@@ -18,11 +18,9 @@
 package com.netscape.cmsutil.radius;
 
 
-import java.util.*;
-import java.math.*;
-import java.security.*;
-import java.net.*;
-import java.io.*;
+import java.io.IOException;
+import java.security.MessageDigest;
+import java.security.NoSuchAlgorithmException;
 
 
 public class UserPasswordAttribute extends Attribute {
@@ -35,7 +33,7 @@ public class UserPasswordAttribute extends Attribute {
     }
 
     public UserPasswordAttribute(Authenticator ra, String secret, String password) {
-        super(USER_PASSWORD);
+        super(Attribute.USER_PASSWORD);
         _ra = ra;
         _secret = secret;
         _password = password;
diff --git a/pki/base/util/src/com/netscape/cmsutil/radius/VendorSpecificAttribute.java b/pki/base/util/src/com/netscape/cmsutil/radius/VendorSpecificAttribute.java
index 1d19a5055dc025abcab227e5537a1f5326ca3371..2ac7a73e9641c770d04634dbfd58971576dcf7d8 100644
--- a/pki/base/util/src/com/netscape/cmsutil/radius/VendorSpecificAttribute.java
+++ b/pki/base/util/src/com/netscape/cmsutil/radius/VendorSpecificAttribute.java
@@ -18,24 +18,18 @@
 package com.netscape.cmsutil.radius;
 
 
-import java.util.*;
-import java.math.*;
-import java.security.*;
-import java.net.*;
-import java.io.*;
+import java.io.IOException;
 
 
 public class VendorSpecificAttribute extends Attribute {
-    private byte _value[] = null;
     private String _id = null;
     private String _str = null;
 
     public VendorSpecificAttribute(byte value[]) {
         super();
-        _t = VENDOR_SPECIFIC;
+        _t = Attribute.VENDOR_SPECIFIC;
         _id = new String(value, 2, 4);
         _str = new String(value, 6, value.length - 6);
-        _value = value;
     }
 
     public String getId() {
